<template>
  <div style="padding: 0px 100px;" class="flex">
    <div class="btn-group auto">
      <button type="button" class="btn btn-primary">批量删除</button>
      <button type="button" class="btn btn-primary" @click="add('add-function')">添加功能</button>
      <button type="button" class="btn btn-primary">移动资源</button>
    </div></br>
    <span>{{data.name}}</span></br>
    <div class="span">
      <data-grid :model='model'>
        <template partial='head'>
          <tr>
            <th colspan="5">功能模块管理</th>
          </tr>
          <tr>
            <th>全选<input type="checkbox" class="all-checked" v-model="checked" @click="$parent.$parent.isAll(checked)"></th>
            <th></th>
            <th>资源名称</th>
            <th>修改</th>
            <th>删除</th>
          </tr>
        </template>
        <template partial='body'>
          <td><input type="checkbox"  v-model="$parent.$parent.ids" :value="row"></td>
          <td><img :src="$parent.$parent.imgsrc(row.f_icon)" alt=""></td>
          <td>{{row.name}}</td>
          <td><span class="glyphicon glyphicon-edit" @click="$parent.$parent.add('modify-function', row)"></span></td>
          <td><span class="glyphicon glyphicon-remove"></span></td>
        </template>
      </data-grid>
    </div>
  </div>
</template>

<script>
import co from 'co'
import * as Util from '../Util'

let gen = function * (self) {
  self.model = yield self.$post('rs/search', {source: `tool.getChildren($${self.data.id}$)`, userid: self.userid},{resolveMsg: null, rejectMsg: null})
  // console.log(self.model)
}

export default {
  title: '功能模块',
  props: ['data', 'userid'],
  ready() {
    this.$parent.setTitle(this.data.name)
    let g = gen(this)
    co(g)
  },
  data () {
    return {
      ids: [], // 处理全选和部分选择使用
      model: ''
    }
  },
  methods: {
    add(name, row) {
      // console.log(name)
      let parent = this.data
      let del = delete parent.children
      this.$goto(name, {parent: parent, row: row})
    },
    isAll (checked) {
      this.ids = []
      if (!checked) {
        this.model.data.forEach((row) => {
          this.ids.push(row)
        })
      }
    },
    imgsrc (name) {
      return Util.getImgsrc(name)
    }
    // modify(row) {
    //   this.$goto("modify-function", {parentname: this.datas.name, parentid: this.datas.id, row: row})
    // }
  }
}
</script>
<style>
  .all-checked {
    vertical-align: text-top;
    margin-left: 10px !important;
  }
  td > .glyphicon {
    cursor: pointer;
  }
  th > input[type="checkbox"], td > input[type="checkbox"] {
    cursor: pointer;
  }
</style>
